using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static bool Provera(int a1, int a2)
        {
            if (a1 == a2 || a1 == a2 + 1 || a2 == a1 + 1)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        static void Ispisivanje_stringa(int a1, int a2, char c1, char c2)
        {
            string U = "";
            if (a1 > a2 || a1 == a2)
            {
                for (int K = a1 + a2; K > 0; K--)
                {
                    if (K % 2 != 0)
                    {
                        U += c1;
                    }
                    else
                    {
                        U += c2;
                    }
                }
            }
            else
            {
                for (int K = a1 + a2; K > 0; K--)
                {
                    if (K % 2 != 0)
                    {
                        U += c2;
                    }
                    else
                    {
                        U += c1;
                    }
                }
            }
            Console.WriteLine(U);
        }
        static void Main(string[] args)
        {
            char c1, c2; int a1, a2;
            string c1c2 = Console.ReadLine();
            c1 = c1c2[0];
            c2 = c1c2[1];
            string[] a1a2 = Console.ReadLine().Split(' ');
            a1 = int.Parse(a1a2[0]);
            a2 = int.Parse(a1a2[1]);
            if (a1 >= 1 && a2 <= 1000 && a2 >= 1 && a1 <= 1000)
            {
                if (Provera(a1, a2) == false)
                {
                    Console.WriteLine("nemoguce");
                }
                else
                {
                    Ispisivanje_stringa(a1, a2, c1, c2);
                }
            }
        }
    }
}